January 4, 2011 · General · Email This Post

LibreOffice is a productivity suite that is compatible with other major office suites, and available on a variety of platforms. It is free software and therefore free to download, use and distribute.

Note:- This is still in Release Candidate 2 so this might break your system completely

Remove Openoffice

Before installing LibreOffice you need to remove existing openoffice from your system using the following command

sudo apt-get purge openoffice*.*

Note:- Thanks to our reader for the above command

Install libreoffice in ubuntu 11.04/10.10/10.04 using PPA

Open the terminal and run the following commands

sudo add-apt-repository ppa:libreoffice/ppa

sudo apt-get update

sudo apt-get install libreoffice

For gnome users -- you also need to install the following package

sudo apt-get install libreoffice-gnome

For kubuntu users -- you also need to install the following package

sudo apt-get install libreoffice-kde

Once you complete the installation open from Applications--->Office

Sponsored Link

Incoming search terms:

Related posts

16 Comments to “Install libreoffice in ubuntu 11.04/10.10/10.04 using PPA”

  1. Webbutterfly says:

    It is absolutely necessary “before” remove Open Office (10.04)
    sudo apt-get purge openoffice*.*

    [Reply]

  2. Strephan Huebner says:

    @ Webbutterfly:

    While I don’t understand *why* I should deinstall OO at all before installing libreoffice, I think it should be mentioned that this is done automatically anyway, once you try to install LibreOffice, at least when you use the PPA.

    [Reply]

  3. Webbutterfly says:

    I am the administrator of Ubuntu Austria.at, I had themselves and to others the problem is that OOorg was not removed properly …
    Then went Libre neither Office nor OOorg.
    It is important that openoffice.org-common was previously removed, which was not the case … see the error message: http://www.ubuntu-austria.at/files/libreoffice_fehler_175.png

    [Reply]

  4. bubez says:

    apt-get autoremove openoffice*.* works better then apt-purge, it doesn’t complain about dependencies that have to be removed.

    [Reply]

  5. Ivan says:

    Thanks!

    [Reply]

  6. Isaac says:

    You have to uninstall Open Office becasue Libre Office is the same as Open Office at it’s core, and they cannot exist side by side.I suggest using the command line and not synaptic for this as purging will remove all of the program.

    [Reply]

  7. Damir says:

    Just did a fresh install. Followed the instructions and everything went fine in less then 5 minutes.
    Good work libre office guys!

    [Reply]

  8. Wade says:

    I added the LibreOffice PPA before coming here, and once I ran purge OpenOffice, it decided to install libreoffice-common, -core, and -style-human for me. Is this a simpler solution?

    [Reply]

  9. Loki says:

    Thank u very much. It helped me. this works like a charm on Ubuntu 10.04.3 LTS

    [Reply]

  10. Luke says:

    This version of LibreOffice crashes when I try to add a large picture to a document, crop it, adjust brightness/contrast and save it. What would be the appropriate place to file a bug for this package, since “report a problem” function gives the error “This is not a genuine Ubuntu package”.??

    [Reply]

    Srihari Reply:

    Hi Luke,

    i am also facing the same problem,
    “report a problem” function gives the error “This is not a genuine Ubuntu package”. do you got any solution for this???

    pls help me…

    [Reply]

  11. mdlueck says:

    Steps needed to get spell checking working after following these steps, look here:

    http://reformedmusings.wordpress.com/2011/02/19/addendum-to-libreoffice-3-30-ubuntu-10-04-installation/

    Basically:
    sudo apt-get install hunspell aspell

    [Reply]

  12. Srihari says:

    i had fallowed the above installation process, added the repositry, removed the ooo, and successfully installed the libreOffice.

    the installed version is 3.4.x.
    its works fine for few days….

    after few days, my UPDATE MANAGER, shown the updates of libreOffice 3.5.x

    i had try to install the new updates,
    it downloaded the all packages, and at the installation time it shown the error while installing the libreoffice-help-en.us
    and the installation had failed.

    and my “report a problem” function gives the error “This is not a genuine Ubuntu package”.

    finally when i am trying to open the libreOffice, it showing the error — “The application cannot be started. A general error occurred while accessing your central configuration. ”

    please help me….

    [Reply]

  13. Tim says:

    I encountered package dependency problems with libexttextcat0. I fixed these by manually installing from debian:

    http://packages.debian.org/sid/libexttextcat-data
    http://packages.debian.org/sid/libexttextcat0

    [Reply]

  14. Mike J. says:

    I also encountered the dependency problems with libexttextcat0. I fixed it by installing libexttextcat-data version 3.2.0
    via gdebi and a DEB file I downloaded from
    https://launchpad.net/~libreoffice/+archive/libreoffice-3-5/+sourcepub/2484044/+listing-archive-extra

    Once that was installed, the rest of libexttextcat0 installed fine and I was then able to apt-get install LibreOffice from the PPA.

    There was some helpful information at the following forum thread http://ubuntuforums.org/showthread.php?p=12215612

    [Reply]

  15. Whit says:

    Helpful instructions here, especially regarding the uninstall of Openoffice and the reinstall of the spelling programs that get removed with it. Since I’m still running Ubuntu 10.04 on my netbook, which the ppa no longer supports, I got the current debs directly from libreoffice.org. Version 4.1.4 installed just fine, with tar zxpvf to extract the debs from the tars, then dpkg -i * to install them. So far it looks good. Which I like, considering that Openoffice had a problem since my recent upgrading of the kernel to a custom-built version.

    [Reply]

Leave a Reply